Subject: bug#37976: 27.0.50; Dependency reversal of seq-subseq and cl-subseq causes regression when using seq from ELPA

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Nov 2019 17:26:41 -0500

>> What ended up happening now is that Emacs is using the new builtin cl-subseq
>> from cl-extra.

This new cl-subseq only exists in Emacs's `master`, right?
So they're running Emacs `master`.

>> But using seq-subseq from MELPA which causes an infinite
>> loop as they depend on eachother.

Why would they use "seq-subseq from MELPA" when they have the latest
seq.el built into their Emacs `master`?

>> What is the recommended way to solve this issue? I am not controlling
>> using seq from MELPA since I am using a package that pulls in seq from
>> MELPA as a dependency. For now I am considering to patch the seq in
>> MELPA.

Could we have some more data, such as which package (name and version)
pulls which version of `seq` (and how does it say "from MELPA")?

        Stefan "¡¿why on earth would you put `seq` on MELPA?!"